<?php
/*
# ------------------------------------------------------------------------
# Extensions for Joomla 2.5.x - Joomla 3.x - Joomla 4.x
# ------------------------------------------------------------------------
# Copyright (C) 2011-2020 Eco-Joom.com. All Rights Reserved.
# @license - PHP files are GNU/GPL V2.
# Author: Eco-Joom.com
# Author: Makeev Vladimir
#Author email: v.v.makeev@icloud.com
# Websites:  http://eco-joom.com
# Date modified: 05/05/2020 - 13:00
# ------------------------------------------------------------------------
*/


// no direct access
defined('_JEXEC') or die;
$ext_class_selector = 'horizontal';
if ($ext_mode == 'vertical') {
	$ext_class_selector = 'vertical';
} 
?>

<script type="text/javascript">
jQuery(document).ready(function(){
	jQuery('#bxslider_categories<?php echo $ext_id; ?>').bxSlider({
		mode: '<?php echo $ext_mode;?>',
		nextSelector: '#ext-slider-next-<?php echo $ext_id; ?>',
		prevSelector: '#ext-slider-prev-<?php echo $ext_id; ?>',
		randomStart: <?php echo $ext_random_start;?>,
		minSlides: <?php echo $ext_min_slides;?>,
		maxSlides: <?php echo $ext_max_slides;?>,
		slideWidth: <?php echo $ext_slide_width;?>,
		slideMargin: <?php echo $ext_slide_margin;?>,
		adaptiveHeight: <?php echo $ext_adaptive_height;?>,
		adaptiveHeightSpeed: <?php echo $ext_adaptive_height_speed;?>,
		easing:	'<?php echo $ext_easing;?>',
		speed: <?php echo $ext_speed;?>,
		controls: <?php echo $ext_controls; ?>,
		auto: <?php echo $ext_auto;?>,
		autoControls: <?php echo $ext_auto_controls;?>,
		pause: <?php echo $ext_pause?>,
		autoDelay: <?php echo $ext_auto_delay; ?>,
		autoHover: <?php echo $ext_autohover; ?>,
		pager: <?php echo $ext_pager;?>,
		pagerType: '<?php echo $ext_pager_type;?>',
		pagerShortSeparator: '<?php echo $ext_pager_saparator;?>'
	});
});
</script>

<div class="mod_ext_bxslider_jshopping_manufacturers <?php echo $moduleclass_sfx ?>">	
	<div id="ext-slider-prev-<?php echo $ext_id; ?>" class="ext-prev-selector-<?php echo $ext_class_selector;?>"></div>
	<ul id="bxslider_categories<?php echo $ext_id; ?>">	
		<?php	
		foreach($categories_arr as $curr){
			if ($curr->level == 0) {
				$class = '';			
				if ($categories_id[$curr->level] == $curr->category_id) {
					$class = "active"; 
				}  
				if ($curr->category_image){
					echo '<li class="'.$class.'">';
					echo '<div class="ext-bxslider-manufacturers-img"><a href="'.$curr->category_link.'" ><img src="'.$jshopConfig->image_category_live_path.'/'.$curr->category_image.'" alt="'.$curr->name.'" /></a></div>';
					if ($ext_prod_name > 0) {
						echo '<div class="ext-bxslider-manufacturers-a"><a href="'.$curr->category_link.'" >'.$curr->name.'</a></div>';
					}
					echo '</li>';
				}
			}
		}			
		?>
	</ul>
	<div id="ext-slider-next-<?php echo $ext_id; ?>" class="ext-next-selector-<?php echo $ext_class_selector;?>"></div>
<div style="clear:both;"></div>
</div>